oracle.adf.view.rich.component.rich

## Class PartialRichDynamicComponent

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXInput
            - - oracle.adf.view.rich.component.PartialUIXInputPopup
              - - oracle.adf.view.rich.component.UIXInputPopup
                - - oracle.adf.view.rich.component.rich.PartialRichDynamicComponent

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    RichDynamicComponent

      public abstract class PartialRichDynamicComponent
      extends UIXInputPopup
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The dynamicComponent is a component whose real type is defined by its attribute ComponentType. The values of attribue ComponentType and other attributes are provided by attribute AttributeModel.

  ### Events:

  Type | Phases | Description
  --- | --- | ---
  `oracle.adf.view.rich.event.LaunchPopupEvent` | Invoke Application | LaunchPopupEvent is delivered when a user's action on an input component results in the launching of a popup dialog. For example, clicking the search icon on the inputListOfValues component or the "Search..." entry at the bottom of the drop down panel of the inputComboboxListOfValues component or tabbing-out of either of the above components with a non null value set, and autoSumit set to "true" will result in the queueing and broadcasting of LaunchPopupEvent on the input*ListOfValues component.
  `oracle.adf.view.rich.event.ReturnPopupDataEvent` | Invoke Application Apply Request Values | Deprecated, will be removed in the future release
  `oracle.adf.view.rich.event.ReturnPopupEvent` | Invoke Application | The ReturnPopupEvent is delivered after the the popup/dialog data is packaged and returned.
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACCESS_KEY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACTION_EXPRESSION_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACTION_LISTENER_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ATTRIBUTE_MODEL_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_COMPLETE_KEY`
    `static String` | `AUTO_COMPLETE_OFF`
    `static String` | `AUTO_COMPLETE_ON`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_SUBMIT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_TAB_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHARACTER_COUNT_BY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHOOSE_ID_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_ATTRIBUTES_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_COMPONENT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_LISTENERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMNS_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `CONTENT_DELIVERY_IMMEDIATE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTENT_DELIVERY_KEY`
    `static String` | `CONTENT_DELIVERY_LAZY`
    `static String` | `CONTENT_DELIVERY_LAZY_UNCACHED`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTENT_STYLE_KEY`
    `static String` | `CONTEXT_FACET`
    `static String` | `CUSTOM_ACTIONS_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOMIZATION_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DEFAULT_VALUE_KEY`
    `static String` | `DIMENSIONS_FROM_AUTO`
    `static String` | `DIMENSIONS_FROM_CONTENT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DIMENSIONS_FROM_KEY`
    `static String` | `DIMENSIONS_FROM_PARENT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_DAYS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_DAYS_OF_WEEK_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_MONTHS_KEY`
    `static String` | `EDITABLE_ALWAYS`
    `static String` | `EDITABLE_INHERIT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EDITABLE_KEY`
    `static String` | `EDITABLE_ON_ACCESS`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `GROUP_KEY`
    `static String` | `HELP_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `HELP_TOPIC_ID_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `INLINE_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ITEMS_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_STYLE_KEY`
    `static String` | `LAYOUT_HORIZONTAL`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LAYOUT_KEY`
    `static String` | `LAYOUT_VERTICAL`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LAZY_SELECTED_LABELS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MAX_VALUE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MAXIMUM_LENGTH_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MIN_VALUE_KEY`
    `static String` | `MODE_COMPACT`
    `static String` | `MODE_DEFAULT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MODE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MONTHS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `NULL_VALUE_MEANS_KEY`
    `static String` | `NULL_VALUE_MEANS_MIXED`
    `static String` | `NULL_VALUE_MEANS_NULL`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PLACEHOLDER_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `POPUP_TITLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `READ_ONLY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `RECENT_ITEMS_KEY` Deprecated.
    `static String` | `RESULTS_TABLE_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `RETURN_LISTENER_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ROWS_KEY`
    `static String` | `SEARCH_CONTENT_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SEARCH_DESC_KEY`
    `static String` | `SEARCH_DIALOG_DEFAULT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SEARCH_DIALOG_KEY`
    `static String` | `SEARCH_DIALOG_NONE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SECRET_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SELECT_ALL_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SELECTED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHORT_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHOW_REQUIRED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SIMPLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SIZE_KEY`
    `static String` | `SPELL_CHECK_DEFAULT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SPELL_CHECK_KEY`
    `static String` | `SPELL_CHECK_OFF`
    `static String` | `SPELL_CHECK_ON`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `STYLE_CLASS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `TEXT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `TIME_ZONE_LIST_KEY`
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSECURE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSELECTED_LABEL_KEY`
    `static String` | `USAGE_AUTO`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `USAGE_KEY`
    `static String` | `USAGE_SEARCH`
    `static String` | `USAGE_TEXT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VALUE_PASS_THRU_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VAR_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VISIBLE_KEY`
    `static String` | `WRAP_HARD`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `WRAP_KEY`
    `static String` | `WRAP_OFF`
    `static String` | `WRAP_SOFT`

    - ### Fields inherited from class oracle.adf.view.rich.component.PartialUIXInputPopup

      `CREATE_POPUP_ID_KEY, EDIT_MODE_INPUT, EDIT_MODE_KEY, EDIT_MODE_SELECT, LAUNCH_POPUP_LISTENER_KEY, MODEL_KEY, RESULTS_TABLE_COLUMN_STRETCHING_BLANK, RESULTS_TABLE_COLUMN_STRETCHING_KEY, RESULTS_TABLE_COLUMN_STRETCHING_LAST, RESULTS_TABLE_COLUMN_STRETCHING_NONE, RETURN_POPUP_DATA_LISTENER_KEY, RETURN_POPUP_DATA_VALUE_KEY, RETURN_POPUP_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, PROTECTION_KEY_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TOKENIZE_MAP_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PartialRichDynamicComponent(String rendererType)` Construct an instance of the PartialRichDynamicComponent with the specified renderer type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `char` | `getAccessKey()` Gets
    `javax.el.MethodExpression` | `getActionExpression()` Gets a reference to an action method sent by the commandButton, or the static outcome of an action
    `javax.faces.el.MethodBinding` | `getActionListener()` Gets a method reference to an action listener
    `Descriptor` | `getAttributeModel()` Gets Dynamic component attributeMap is a map of String and Object, or name and value of the component's attributes.
    `String` | `getAutoComplete()` Gets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `String` | `getChangedDesc()` Gets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `String` | `getCharacterCountBy()` Gets the method to count surrogate pair characters.
    `String` | `getChooseId()` Gets the id of the chooseDate component which can be used to pick the Date value for this inputDate.
    `Set` | `getClientAttributes()` Gets a set of client attribute names.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()`
    `ClientListenerSet` | `getClientListeners()` Gets a set of client listeners.
    `int` | `getColumns()` Gets the size of the text control specified by the number of characters shown.
    `String` | `getContentDelivery()` Gets Gets whether the dropdown popup content is delivered with the initial load of ListOfValues component.
    `String` | `getContentStyle()` Gets the style of the content piece of the component.
    `javax.faces.component.UIComponent` | `getContext()` Location for contextual information.
    `javax.faces.component.UIComponent` | `getCustomActions()` Allows user to specify custom entries in the choice list (drop down panel).
    `String` | `getCustomizationId()` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `String` | `getDefaultEventName()`
    `Date` | `getDefaultValue()` Gets the default date would be used only when the picker is launched on an empty DateTime input field.
    `String` | `getDimensionsFrom()` Gets
    `org.apache.myfaces.trinidad.model.DateListProvider` | `getDisabledDays()` Gets a binding to an implementation of the org.apache.myfaces.trinidad.model.DateListProvider interface.
    `Set` | `getDisabledDaysOfWeek()` Gets a whitespace delimited list of weekdays that should be rendered as disabled in every week.
    `Set` | `getDisabledMonths()` Gets a whitespace delimited list of months that should be rendered as disabled in every year.
    `String` | `getEditable()` Gets the editable look and feel to use for input components.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getGroup()` Gets the "group" the radio buttons will be placed in.
    `javax.faces.component.UIComponent` | `getHelp()` This facet is deprecated, helpTopicId should be used for providing help.
    `String` | `getHelpTopicId()` Gets the id used to look up a topic in a helpProvider.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `List<Object>` | `getItems()` Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure items property
    `String` | `getLabel()` Gets the label of the component.
    `String` | `getLabelStyle()` Gets the CSS styles to use for the label of this component.
    `String` | `getLayout()` Gets whether the control displays the buttons horizontally or vertically.
    `String[]` | `getLazySelectedLabels()` Gets
    `int` | `getMaximumLength()` Gets the maximum number of characters per line that can be entered into the text control.
    `Date` | `getMaxValue()` Gets the maximum value allowed for the Date value.
    `Date` | `getMinValue()` Gets the minimum value allowed for the Date value.
    `String` | `getMode()` Gets the mode of the component.
    `int` | `getMonths()` Gets Number of months to be shown at once in the date picker.
    `String` | `getNullValueMeans()` Gets If nullValueMeans is set to 'mixed', then the null value is treated as the indeterminate state and the checkbox will render to indicate that it is neither checked or unchecked
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getPlaceholder()` Gets Text to be displayed in the input component when a value is not present.
    `String` | `getPopupTitle()` Gets the title of the Search and Select popup dialog.
    `List<Object>` | `getRecentItems()` Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure recentItems property
    `javax.faces.component.UIComponent` | `getResultsTable()` Table component to be used in the Search and Select dialog.
    `javax.el.MethodExpression` | `getReturnListener()` Gets a method reference to an return listener
    `int` | `getRows()` Gets the height of the text control specified by the number of characters shown.
    `javax.faces.component.UIComponent` | `getSearchContent()` Content in the Search and Select popup dialog.
    `String` | `getSearchDesc()` Gets used to override the search description.
    `String` | `getSearchDialog()` Gets this attribute can be used to selectively render the search link in InputComboboxListOfValues dropdown and to suppress the default "Search and Select" dialog functionality.
    `String` | `getShortDesc()` Gets the short description of the component.
    `int` | `getSize()` Gets the number of items that should be visible in the list.
    `String` | `getSpellCheck()` Gets
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getText()` Gets the text of the checkbox.
    `List<String>` | `getTimeZoneList()` Gets A list of timezones this inputDate exposes.
    `Set<String>` | `getUnsecure()` Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `String` | `getUnselectedLabel()` Gets the label for an additional item that indicates no selection has been made.
    `String` | `getUsage()` Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `String` | `getVar()` Gets the name of the EL variable used to reference each row inside the drop down panel.
    `String` | `getWrap()` Gets the type of text wrapping to be used in a multi-row text control.
    `boolean` | `isAutoSubmit()` Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `boolean` | `isAutoTab()` Gets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
    `boolean` | `isChanged()` Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `boolean` | `isClientComponent()` Gets whether a client-side component will be generated.
    `boolean` | `isDisabled()` Gets whether the element is disabled.
    `boolean` | `isReadOnly()` Gets whether the control is displayed as an editable field or as an output-style text control.
    `boolean` | `isSecret()` Gets a boolean value that only applies to single line text controls.
    `boolean` | `isSelectAllVisible()` Gets whether the select-all option is visible.
    `boolean` | `isSelected()` Gets whether or not the component is currently selected.
    `boolean` | `isShowRequired()` Gets whether the associated control displays a visual indication of required user input.
    `boolean` | `isSimple()` Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `boolean` | `isValuePassThru()` Gets
    `boolean` | `isVisible()` Gets the visibility of the component.
    `void` | `setAccessKey(char accessKey)` Sets
    `void` | `setActionExpression(javax.el.MethodExpression actionExpression)` Sets a reference to an action method sent by the commandButton, or the static outcome of an action
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)` Sets a method reference to an action listener
    `void` | `setAttributeModel(Descriptor attributeModel)` Sets Dynamic component attributeMap is a map of String and Object, or name and value of the component's attributes.
    `void` | `setAutoComplete(String autoComplete)` Sets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `void` | `setAutoSubmit(boolean autoSubmit)` Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `void` | `setAutoTab(boolean autoTab)` Sets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
    `void` | `setChanged(boolean changed)` Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `void` | `setChangedDesc(String changedDesc)` Sets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `void` | `setCharacterCountBy(String characterCountBy)` Sets the method to count surrogate pair characters.
    `void` | `setChooseId(String chooseId)` Sets the id of the chooseDate component which can be used to pick the Date value for this inputDate.
    `void` | `setClientAttributes(Set clientAttributes)` Sets a set of client attribute names.
    `void` | `setClientComponent(boolean clientComponent)` Sets whether a client-side component will be generated.
    `void` | `setClientListeners(ClientListenerSet clientListeners)` Sets a set of client listeners.
    `void` | `setColumns(int columns)` Sets the size of the text control specified by the number of characters shown.
    `void` | `setContentDelivery(String contentDelivery)` Sets Gets whether the dropdown popup content is delivered with the initial load of ListOfValues component.
    `void` | `setContentStyle(String contentStyle)` Sets the style of the content piece of the component.
    `void` | `setContext(javax.faces.component.UIComponent contextFacet)` Location for contextual information.
    `void` | `setCustomActions(javax.faces.component.UIComponent customActionsFacet)` Allows user to specify custom entries in the choice list (drop down panel).
    `void` | `setCustomizationId(String customizationId)` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `void` | `setDefaultValue(Date defaultValue)` Sets the default date would be used only when the picker is launched on an empty DateTime input field.
    `void` | `setDimensionsFrom(String dimensionsFrom)` Sets
    `void` | `setDisabled(boolean disabled)` Sets whether the element is disabled.
    `void` | `setDisabledDays(org.apache.myfaces.trinidad.model.DateListProvider disabledDays)` Sets a binding to an implementation of the org.apache.myfaces.trinidad.model.DateListProvider interface.
    `void` | `setDisabledDaysOfWeek(Set disabledDaysOfWeek)` Sets a whitespace delimited list of weekdays that should be rendered as disabled in every week.
    `void` | `setDisabledMonths(Set disabledMonths)` Sets a whitespace delimited list of months that should be rendered as disabled in every year.
    `void` | `setEditable(String editable)` Sets the editable look and feel to use for input components.
    `void` | `setGroup(String group)` Sets the "group" the radio buttons will be placed in.
    `void` | `setHelp(javax.faces.component.UIComponent helpFacet)` This facet is deprecated, helpTopicId should be used for providing help.
    `void` | `setHelpTopicId(String helpTopicId)` Sets the id used to look up a topic in a helpProvider.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setItems(List<Object> items)` Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure items property
    `void` | `setLabel(String label)` Sets the label of the component.
    `void` | `setLabelStyle(String labelStyle)` Sets the CSS styles to use for the label of this component.
    `void` | `setLayout(String layout)` Sets whether the control displays the buttons horizontally or vertically.
    `void` | `setLazySelectedLabels(String[] lazySelectedLabels)` Sets
    `void` | `setMaximumLength(int maximumLength)` Sets the maximum number of characters per line that can be entered into the text control.
    `void` | `setMaxValue(Date maxValue)` Sets the maximum value allowed for the Date value.
    `void` | `setMinValue(Date minValue)` Sets the minimum value allowed for the Date value.
    `void` | `setMode(String mode)` Sets the mode of the component.
    `void` | `setMonths(int months)` Sets Number of months to be shown at once in the date picker.
    `void` | `setNullValueMeans(String nullValueMeans)` Sets If nullValueMeans is set to 'mixed', then the null value is treated as the indeterminate state and the checkbox will render to indicate that it is neither checked or unchecked
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPlaceholder(String placeholder)` Sets Text to be displayed in the input component when a value is not present.
    `void` | `setPopupTitle(String popupTitle)` Sets the title of the Search and Select popup dialog.
    `void` | `setReadOnly(boolean readOnly)` Sets whether the control is displayed as an editable field or as an output-style text control.
    `void` | `setRecentItems(List<Object> recentItems)` Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure recentItems property
    `void` | `setResultsTable(javax.faces.component.UIComponent resultsTableFacet)` Table component to be used in the Search and Select dialog.
    `void` | `setReturnListener(javax.el.MethodExpression returnListener)` Sets a method reference to an return listener
    `void` | `setRows(int rows)` Sets the height of the text control specified by the number of characters shown.
    `void` | `setSearchContent(javax.faces.component.UIComponent searchContentFacet)` Content in the Search and Select popup dialog.
    `void` | `setSearchDesc(String searchDesc)` Sets used to override the search description.
    `void` | `setSearchDialog(String searchDialog)` Sets this attribute can be used to selectively render the search link in InputComboboxListOfValues dropdown and to suppress the default "Search and Select" dialog functionality.
    `void` | `setSecret(boolean secret)` Sets a boolean value that only applies to single line text controls.
    `void` | `setSelectAllVisible(boolean selectAllVisible)` Sets whether the select-all option is visible.
    `void` | `setSelected(boolean selected)` Sets whether or not the component is currently selected.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the component.
    `void` | `setShowRequired(boolean showRequired)` Sets whether the associated control displays a visual indication of required user input.
    `void` | `setSimple(boolean simple)` Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `void` | `setSize(int size)` Sets the number of items that should be visible in the list.
    `void` | `setSpellCheck(String spellCheck)` Sets
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setText(String text)` Sets the text of the checkbox.
    `void` | `setTimeZoneList(List<String> timeZoneList)` Sets A list of timezones this inputDate exposes.
    `void` | `setUnsecure(Set<String> unsecure)` Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `void` | `setUnselectedLabel(String unselectedLabel)` Sets the label for an additional item that indicates no selection has been made.
    `void` | `setUsage(String usage)` Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `void` | `setValuePassThru(boolean valuePassThru)` Sets
    `void` | `setVar(String var)` Sets the name of the EL variable used to reference each row inside the drop down panel.
    `void` | `setVisible(boolean visible)` Sets the visibility of the component.
    `void` | `setWrap(String wrap)` Sets the type of text wrapping to be used in a multi-row text control.

    - ### Methods inherited from class oracle.adf.view.rich.component.UIXInputPopup

      `broadcast, decode, decodeChildrenImpl, encodeBegin, invokeOnComponent, queueEvent, satisfiesPartialTrigger, setLaunchPopupListener, setReturnPopupDataListener, setReturnPopupListener, validateValue`

    - ### Methods inherited from class oracle.adf.view.rich.component.PartialUIXInputPopup

      `addLaunchPopupListener, addReturnPopupDataListener, addReturnPopupListener, getCreatePopupId, getEditMode, getLaunchPopupListener, getLaunchPopupListeners, getModel, getResultsTableColumnStretching, getReturnPopupDataListener, getReturnPopupDataListeners, getReturnPopupDataValue, getReturnPopupListener, getReturnPopupListeners, removeLaunchPopupListener, removeReturnPopupDataListener, removeReturnPopupListener, setCreatePopupId, setEditMode, setLaunchPopupListener, setModel, setResultsTableColumnStretching, setReturnPopupDataListener, setReturnPopupDataValue, setReturnPopupListener`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, compareValues, getConvertedValue, getProtectionKey, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setProtectionKey, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decodeChildren, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### EDITABLE_INHERIT

          public static final String EDITABLE_INHERIT

      See Also:
        Constant Field Values

    - #### EDITABLE_ALWAYS

          public static final String EDITABLE_ALWAYS

      See Also:
        Constant Field Values

    - #### EDITABLE_ON_ACCESS

          public static final String EDITABLE_ON_ACCESS

      See Also:
        Constant Field Values

    - #### SPELL_CHECK_ON

          public static final String SPELL_CHECK_ON

      See Also:
        Constant Field Values

    - #### SPELL_CHECK_OFF

          public static final String SPELL_CHECK_OFF

      See Also:
        Constant Field Values

    - #### SPELL_CHECK_DEFAULT

          public static final String SPELL_CHECK_DEFAULT

      See Also:
        Constant Field Values

    - #### DIMENSIONS_FROM_AUTO

          public static final String DIMENSIONS_FROM_AUTO

      See Also:
        Constant Field Values

    - #### DIMENSIONS_FROM_CONTENT

          public static final String DIMENSIONS_FROM_CONTENT

      See Also:
        Constant Field Values

    - #### DIMENSIONS_FROM_PARENT

          public static final String DIMENSIONS_FROM_PARENT

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_ON

          public static final String AUTO_COMPLETE_ON

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_OFF

          public static final String AUTO_COMPLETE_OFF

      See Also:
        Constant Field Values

    - #### USAGE_AUTO

          public static final String USAGE_AUTO

      See Also:
        Constant Field Values

    - #### USAGE_TEXT

          public static final String USAGE_TEXT

      See Also:
        Constant Field Values

    - #### USAGE_SEARCH

          public static final String USAGE_SEARCH

      See Also:
        Constant Field Values

    - #### WRAP_SOFT

          public static final String WRAP_SOFT

      See Also:
        Constant Field Values

    - #### WRAP_HARD

          public static final String WRAP_HARD

      See Also:
        Constant Field Values

    - #### WRAP_OFF

          public static final String WRAP_OFF

      See Also:
        Constant Field Values

    - #### LAYOUT_HORIZONTAL

          public static final String LAYOUT_HORIZONTAL

      See Also:
        Constant Field Values

    - #### LAYOUT_VERTICAL

          public static final String LAYOUT_VERTICAL

      See Also:
        Constant Field Values

    - #### MODE_DEFAULT

          public static final String MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### MODE_COMPACT

          public static final String MODE_COMPACT

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_IMMEDIATE

          public static final String CONTENT_DELIVERY_IMMEDIATE

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_LAZY

          public static final String CONTENT_DELIVERY_LAZY

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_LAZY_UNCACHED

          public static final String CONTENT_DELIVERY_LAZY_UNCACHED

      See Also:
        Constant Field Values

    - #### SEARCH_DIALOG_DEFAULT

          public static final String SEARCH_DIALOG_DEFAULT

      See Also:
        Constant Field Values

    - #### SEARCH_DIALOG_NONE

          public static final String SEARCH_DIALOG_NONE

      See Also:
        Constant Field Values

    - #### NULL_VALUE_MEANS_NULL

          public static final String NULL_VALUE_MEANS_NULL

      See Also:
        Constant Field Values

    - #### NULL_VALUE_MEANS_MIXED

          public static final String NULL_VALUE_MEANS_MIXED

      See Also:
        Constant Field Values

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### ATTRIBUTE_MODEL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ATTRIBUTE_MODEL_KEY

    - #### CHANGED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_KEY

    - #### CHANGED_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_DESC_KEY

    - #### AUTO_SUBMIT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_SUBMIT_KEY

    - #### ACCESS_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACCESS_KEY_KEY

    - #### CONTENT_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTENT_STYLE_KEY

    - #### HELP_TOPIC_ID_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey HELP_TOPIC_ID_KEY

    - #### DISABLED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_KEY

    - #### LABEL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_KEY

    - #### LABEL_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_STYLE_KEY

    - #### READ_ONLY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey READ_ONLY_KEY

    - #### SHOW_REQUIRED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHOW_REQUIRED_KEY

    - #### SIMPLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SIMPLE_KEY

    - #### SHORT_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHORT_DESC_KEY

    - #### UNSECURE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSECURE_KEY

    - #### VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VISIBLE_KEY

    - #### CUSTOMIZATION_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOMIZATION_ID_KEY

      Deprecated.

    - #### CLIENT_COMPONENT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_COMPONENT_KEY

    - #### CLIENT_ATTRIBUTES_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_ATTRIBUTES_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PARTIAL_TRIGGERS_KEY

    - #### CLIENT_LISTENERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_LISTENERS_KEY

    - #### EDITABLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EDITABLE_KEY

    - #### PLACEHOLDER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PLACEHOLDER_KEY

    - #### AUTO_TAB_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_TAB_KEY

    - #### COLUMNS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMNS_KEY

    - #### SPELL_CHECK_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SPELL_CHECK_KEY

    - #### DIMENSIONS_FROM_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DIMENSIONS_FROM_KEY

    - #### INLINE_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey INLINE_STYLE_KEY

    - #### MAXIMUM_LENGTH_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MAXIMUM_LENGTH_KEY

    - #### CHARACTER_COUNT_BY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHARACTER_COUNT_BY_KEY

    - #### AUTO_COMPLETE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_COMPLETE_KEY

    - #### ROWS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ROWS_KEY

    - #### SECRET_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SECRET_KEY

    - #### STYLE_CLASS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey STYLE_CLASS_KEY

    - #### USAGE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey USAGE_KEY

    - #### WRAP_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey WRAP_KEY

    - #### MAX_VALUE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MAX_VALUE_KEY

    - #### MIN_VALUE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MIN_VALUE_KEY

    - #### DISABLED_DAYS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_DAYS_KEY

    - #### DISABLED_DAYS_OF_WEEK_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_DAYS_OF_WEEK_KEY

    - #### DISABLED_MONTHS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_MONTHS_KEY

    - #### MONTHS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MONTHS_KEY

    - #### DEFAULT_VALUE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DEFAULT_VALUE_KEY

    - #### TIME_ZONE_LIST_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey TIME_ZONE_LIST_KEY

    - #### CHOOSE_ID_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHOOSE_ID_KEY

    - #### LAYOUT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LAYOUT_KEY

    - #### ACTION_EXPRESSION_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACTION_EXPRESSION_KEY

    - #### ACTION_LISTENER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACTION_LISTENER_KEY

    - #### RETURN_LISTENER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey RETURN_LISTENER_KEY

    - #### POPUP_TITLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey POPUP_TITLE_KEY

    - #### SEARCH_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SEARCH_DESC_KEY

    - #### VALUE_PASS_THRU_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VALUE_PASS_THRU_KEY

    - #### UNSELECTED_LABEL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSELECTED_LABEL_KEY

    - #### MODE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MODE_KEY

    - #### LAZY_SELECTED_LABELS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LAZY_SELECTED_LABELS_KEY

    - #### CONTENT_DELIVERY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTENT_DELIVERY_KEY

    - #### SELECT_ALL_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SELECT_ALL_VISIBLE_KEY

    - #### ITEMS_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey ITEMS_KEY

      Deprecated.

    - #### RECENT_ITEMS_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey RECENT_ITEMS_KEY

      Deprecated.

    - #### VAR_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VAR_KEY

    - #### SEARCH_DIALOG_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SEARCH_DIALOG_KEY

    - #### SIZE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SIZE_KEY

    - #### GROUP_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey GROUP_KEY

    - #### TEXT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey TEXT_KEY

    - #### SELECTED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SELECTED_KEY

    - #### NULL_VALUE_MEANS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey NULL_VALUE_MEANS_KEY

    - #### CONTEXT_FACET

          public static final String CONTEXT_FACET

      See Also:
        Constant Field Values

    - #### HELP_FACET

          public static final String HELP_FACET

      See Also:
        Constant Field Values

    - #### SEARCH_CONTENT_FACET

          public static final String SEARCH_CONTENT_FACET

      See Also:
        Constant Field Values

    - #### RESULTS_TABLE_FACET

          public static final String RESULTS_TABLE_FACET

      See Also:
        Constant Field Values

    - #### CUSTOM_ACTIONS_FACET

          public static final String CUSTOM_ACTIONS_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PartialRichDynamicComponent

          protected PartialRichDynamicComponent(String rendererType)

      Construct an instance of the PartialRichDynamicComponent with the specified renderer type.
      Parameters:
        `rendererType` - the renderer type Construct an instance of the PartialRichDynamicComponent.

  - ### Method Detail

    - #### getContext

          public final javax.faces.component.UIComponent getContext()

      Location for contextual information. A contextInfo component is expected.
      Returns:
        the context facet

    - #### setContext

          public final void setContext(javax.faces.component.UIComponent contextFacet)

      Location for contextual information. A contextInfo component is expected.
      Parameters:
        `contextFacet` - the new context facet

    - #### getHelp

          public final javax.faces.component.UIComponent getHelp()

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Returns:
        the help facet

    - #### setHelp

          public final void setHelp(javax.faces.component.UIComponent helpFacet)

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Parameters:
        `helpFacet` - the new help facet

    - #### getSearchContent

          public final javax.faces.component.UIComponent getSearchContent()

      Content in the Search and Select popup dialog.
      Returns:
        the searchContent facet

    - #### setSearchContent

          public final void setSearchContent(javax.faces.component.UIComponent searchContentFacet)

      Content in the Search and Select popup dialog.
      Parameters:
        `searchContentFacet` - the new searchContent facet

    - #### getResultsTable

          public final javax.faces.component.UIComponent getResultsTable()

      Table component to be used in the Search and Select dialog. Supports sub classes of RichTable. Table columns should not be configured as they are auto generated by LOV. Only one of 'searchContent' or 'resultsTable' facet can be configured.
      Returns:
        the resultsTable facet

    - #### setResultsTable

          public final void setResultsTable(javax.faces.component.UIComponent resultsTableFacet)

      Table component to be used in the Search and Select dialog. Supports sub classes of RichTable. Table columns should not be configured as they are auto generated by LOV. Only one of 'searchContent' or 'resultsTable' facet can be configured.
      Parameters:
        `resultsTableFacet` - the new resultsTable facet

    - #### getCustomActions

          public final javax.faces.component.UIComponent getCustomActions()

      Allows user to specify custom entries in the choice list (drop down panel). It can be one commandLink or multiple commandLinks that are wrapped in a group component. It is the developer's responsibility to wire up the action for the custom commandLink to, say, a popup dialog.
      Returns:
        the customActions facet

    - #### setCustomActions

          public final void setCustomActions(javax.faces.component.UIComponent customActionsFacet)

      Allows user to specify custom entries in the choice list (drop down panel). It can be one commandLink or multiple commandLinks that are wrapped in a group component. It is the developer's responsibility to wire up the action for the custom commandLink to, say, a popup dialog.
      Parameters:
        `customActionsFacet` - the new customActions facet

    - #### getAttributeModel

          public final Descriptor getAttributeModel()

      Gets Dynamic component attributeMap is a map of String and Object, or name and value of the component's attributes.
      Returns:
        the new attributeModel value

    - #### setAttributeModel

          public final void setAttributeModel(Descriptor attributeModel)

      Sets Dynamic component attributeMap is a map of String and Object, or name and value of the component's attributes.
      Parameters:
        `attributeModel` - the new attributeModel value

    - #### isChanged

          public final boolean isChanged()

      Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Returns:
        the new changed value

    - #### setChanged

          public final void setChanged(boolean changed)

      Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Parameters:
        `changed` - the new changed value

    - #### getChangedDesc

          public final String getChangedDesc()

      Gets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Returns:
        the new changedDesc value

    - #### setChangedDesc

          public final void setChangedDesc(String changedDesc)

      Sets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Parameters:
        `changedDesc` - the new changedDesc value

    - #### isAutoSubmit

          public final boolean isAutoSubmit()

      Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Returns:
        the new autoSubmit value

    - #### setAutoSubmit

          public final void setAutoSubmit(boolean autoSubmit)

      Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Parameters:
        `autoSubmit` - the new autoSubmit value

    - #### getAccessKey

          public final char getAccessKey()

      Gets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Returns:
        the new accessKey value

    - #### setAccessKey

          public final void setAccessKey(char accessKey)

      Sets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Parameters:
        `accessKey` - the new accessKey value

    - #### getContentStyle

          public final String getContentStyle()

      Gets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Returns:
        the new contentStyle value

    - #### setContentStyle

          public final void setContentStyle(String contentStyle)

      Sets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Parameters:
        `contentStyle` - the new contentStyle value

    - #### getHelpTopicId

          public final String getHelpTopicId()

      Gets the id used to look up a topic in a helpProvider.
      Returns:
        the new helpTopicId value

    - #### setHelpTopicId

          public final void setHelpTopicId(String helpTopicId)

      Sets the id used to look up a topic in a helpProvider.
      Parameters:
        `helpTopicId` - the new helpTopicId value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Parameters:
        `disabled` - the new disabled value

    - #### getLabel

          public final String getLabel()

      Gets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Parameters:
        `label` - the new label value

    - #### getLabelStyle

          public final String getLabelStyle()

      Gets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Returns:
        the new labelStyle value

    - #### setLabelStyle

          public final void setLabelStyle(String labelStyle)

      Sets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Parameters:
        `labelStyle` - the new labelStyle value

    - #### isReadOnly

          public final boolean isReadOnly()

      Gets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Returns:
        the new readOnly value

    - #### setReadOnly

          public final void setReadOnly(boolean readOnly)

      Sets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Parameters:
        `readOnly` - the new readOnly value

    - #### isShowRequired

          public final boolean isShowRequired()

      Gets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Returns:
        the new showRequired value

    - #### setShowRequired

          public final void setShowRequired(boolean showRequired)

      Sets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Parameters:
        `showRequired` - the new showRequired value

    - #### isSimple

          public final boolean isSimple()

      Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Returns:
        the new simple value

    - #### setSimple

          public final void setSimple(boolean simple)

      Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Parameters:
        `simple` - the new simple value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getUnsecure

          public final Set<String> getUnsecure()

      Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Returns:
        the new unsecure value

    - #### setUnsecure

          public final void setUnsecure(Set<String> unsecure)

      Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Parameters:
        `unsecure` - the new unsecure value

    - #### isVisible

          public final boolean isVisible()

      Gets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Returns:
        the new visible value

    - #### setVisible

          public final void setVisible(boolean visible)

      Sets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Parameters:
        `visible` - the new visible value

    - #### getCustomizationId

          @Deprecated
          public final String getCustomizationId()

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Gets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Returns:
        the new customizationId value

    - #### setCustomizationId

          @Deprecated
          public final void setCustomizationId(String customizationId)

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Sets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Parameters:
        `customizationId` - the new customizationId value

    - #### isClientComponent

          public final boolean isClientComponent()

      Gets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Returns:
        the new clientComponent value

    - #### setClientComponent

          public final void setClientComponent(boolean clientComponent)

      Sets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Parameters:
        `clientComponent` - the new clientComponent value

    - #### getClientAttributes

          public final Set getClientAttributes()

      Gets a set of client attribute names.
      Returns:
        the new clientAttributes value

    - #### setClientAttributes

          public final void setClientAttributes(Set clientAttributes)

      Sets a set of client attribute names.
      Parameters:
        `clientAttributes` - the new clientAttributes value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getClientListeners

          public final ClientListenerSet getClientListeners()

      Gets a set of client listeners.
      Returns:
        the new clientListeners value

    - #### setClientListeners

          public final void setClientListeners(ClientListenerSet clientListeners)

      Sets a set of client listeners.
      Parameters:
        `clientListeners` - the new clientListeners value

    - #### getEditable

          public final String getEditable()

      Gets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Returns:
        the new editable value

    - #### setEditable

          public final void setEditable(String editable)

      Sets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Parameters:
        `editable` - the new editable value

    - #### getPlaceholder

          public final String getPlaceholder()

      Gets Text to be displayed in the input component when a value is not present.
      Returns:
        the new placeholder value

    - #### setPlaceholder

          public final void setPlaceholder(String placeholder)

      Sets Text to be displayed in the input component when a value is not present.
      Parameters:
        `placeholder` - the new placeholder value

    - #### isAutoTab

          public final boolean isAutoTab()

      Gets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
      Returns:
        the new autoTab value

    - #### setAutoTab

          public final void setAutoTab(boolean autoTab)

      Sets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
      Parameters:
        `autoTab` - the new autoTab value

    - #### getColumns

          public final int getColumns()

      Gets the size of the text control specified by the number of characters shown. The default value depends on the browser.
      Returns:
        the new columns value

    - #### setColumns

          public final void setColumns(int columns)

      Sets the size of the text control specified by the number of characters shown. The default value depends on the browser.
      Parameters:
        `columns` - the new columns value

    - #### getSpellCheck

          public final String getSpellCheck()

      Gets

      determines if the inputText will highlight misspelled words.

      - on - spellcheck attribute will be rendered with a value of 'true'
      - off - spellcheck attribute will be rendered with a value of 'false'
      - default - spellcheck attribute will not be rendered (browser default behavior)
      Returns:
        the new spellCheck value

    - #### setSpellCheck

          public final void setSpellCheck(String spellCheck)

      Sets

      determines if the inputText will highlight misspelled words.

      - on - spellcheck attribute will be rendered with a value of 'true'
      - off - spellcheck attribute will be rendered with a value of 'false'
      - default - spellcheck attribute will not be rendered (browser default behavior)
      Parameters:
        `spellCheck` - the new spellCheck value

    - #### getDimensionsFrom

          public final String getDimensionsFrom()

      Gets

      determines how the component will handle geometry management (when the simple attribute is true). This specifies where the dimensions of the inputText come from:

      - auto - either "content" or "parent", depending on the container the inputText is inside; if the inputText is being stretched by its ancestor then "parent" will be used, otherwise "content" will be used.
      - content - the inputText will get its dimensions from the component content.
      - parent - the inputText will get its dimensions from the inlineStyle and if not provided from there then from its parent or if not provided from the parent then from the skin.
      Returns:
        the new dimensionsFrom value

    - #### setDimensionsFrom

          public final void setDimensionsFrom(String dimensionsFrom)

      Sets

      determines how the component will handle geometry management (when the simple attribute is true). This specifies where the dimensions of the inputText come from:

      - auto - either "content" or "parent", depending on the container the inputText is inside; if the inputText is being stretched by its ancestor then "parent" will be used, otherwise "content" will be used.
      - content - the inputText will get its dimensions from the component content.
      - parent - the inputText will get its dimensions from the inlineStyle and if not provided from there then from its parent or if not provided from the parent then from the skin.
      Parameters:
        `dimensionsFrom` - the new dimensionsFrom value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getMaximumLength

          public final int getMaximumLength()

      Gets the maximum number of characters per line that can be entered into the text control.
      Returns:
        the new maximumLength value

    - #### setMaximumLength

          public final void setMaximumLength(int maximumLength)

      Sets the maximum number of characters per line that can be entered into the text control.
      Parameters:
        `maximumLength` - the new maximumLength value

    - #### getCharacterCountBy

          public final String getCharacterCountBy()

      Gets the method to count surrogate pair characters. codeUnit counts surrogate pair characters as 2 logical characters. codePoint counts surrogate pair characters as 1 logical character. This is used for determining if a value exceeds the maximumLength attribute.
      Returns:
        the new characterCountBy value

    - #### setCharacterCountBy

          public final void setCharacterCountBy(String characterCountBy)

      Sets the method to count surrogate pair characters. codeUnit counts surrogate pair characters as 2 logical characters. codePoint counts surrogate pair characters as 1 logical character. This is used for determining if a value exceeds the maximumLength attribute.
      Parameters:
        `characterCountBy` - the new characterCountBy value

    - #### getAutoComplete

          public final String getAutoComplete()

      Gets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Returns:
        the new autoComplete value

    - #### setAutoComplete

          public final void setAutoComplete(String autoComplete)

      Sets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Parameters:
        `autoComplete` - the new autoComplete value

    - #### getRows

          public final int getRows()

      Gets the height of the text control specified by the number of characters shown. The default value is 1, which generates a one-row input field. The number of rows is estimated based on the default font size of the browser.
      Returns:
        the new rows value

    - #### setRows

          public final void setRows(int rows)

      Sets the height of the text control specified by the number of characters shown. The default value is 1, which generates a one-row input field. The number of rows is estimated based on the default font size of the browser.
      Parameters:
        `rows` - the new rows value

    - #### isSecret

          public final boolean isSecret()

      Gets a boolean value that only applies to single line text controls. When set to "true", it hides the actual value of the text from the user, and will prevent the actual "value" from being shown to the user. When the user manually enters a value, each character will appear as an *. After the value is posted to the server, the value (if not null) will always appear (and be sent to the client) as "******", or whichever value is defined in UIConstants.SECRET_FIELD_DEFAULT_VALUE. If secret is set to true, be sure to not use a converter or validator tag with this inputText which would expose the value the user entered via its messages.
      Returns:
        the new secret value

    - #### setSecret

          public final void setSecret(boolean secret)

      Sets a boolean value that only applies to single line text controls. When set to "true", it hides the actual value of the text from the user, and will prevent the actual "value" from being shown to the user. When the user manually enters a value, each character will appear as an *. After the value is posted to the server, the value (if not null) will always appear (and be sent to the client) as "******", or whichever value is defined in UIConstants.SECRET_FIELD_DEFAULT_VALUE. If secret is set to true, be sure to not use a converter or validator tag with this inputText which would expose the value the user entered via its messages.
      Parameters:
        `secret` - the new secret value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getUsage

          public final String getUsage()

      Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Returns:
        the new usage value

    - #### setUsage

          public final void setUsage(String usage)

      Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Parameters:
        `usage` - the new usage value

    - #### getWrap

          public final String getWrap()

      Gets the type of text wrapping to be used in a multi-row text control. This attribute is ignored for single row inputText. By default (or "soft"), multirow text wraps visually, but does not include carriage returns in the submitted value. Setting this to "off" will disable wrapping; the multirow text will scroll horizontally. Setting it to "hard" specifies that the value of the text should include any carriage returns needed to wrap the lines.
      Returns:
        the new wrap value

    - #### setWrap

          public final void setWrap(String wrap)

      Sets the type of text wrapping to be used in a multi-row text control. This attribute is ignored for single row inputText. By default (or "soft"), multirow text wraps visually, but does not include carriage returns in the submitted value. Setting this to "off" will disable wrapping; the multirow text will scroll horizontally. Setting it to "hard" specifies that the value of the text should include any carriage returns needed to wrap the lines.
      Parameters:
        `wrap` - the new wrap value

    - #### getMaxValue

          public final Date getMaxValue()

      Gets the maximum value allowed for the Date value. When set to a fixed value on a tag, this will be parsed as an ISO 8601 date. ISO 8601 dates are of the form "yyyy-MM-dd" (for example: 2002-02-15) and the created Date object will be in the application's timezone, with the time components (hours, minutes, seconds, milliseconds) maximized. All other uses require java.util.Date objects.When binding to Date objects, it is advised to create the Date object with maximum value for any date-time components that aren't displayed (usually hours, minutes, seconds, milliseconds) to allow the largest range of values to be accepted.
      Returns:
        the new maxValue value

    - #### setMaxValue

          public final void setMaxValue(Date maxValue)

      Sets the maximum value allowed for the Date value. When set to a fixed value on a tag, this will be parsed as an ISO 8601 date. ISO 8601 dates are of the form "yyyy-MM-dd" (for example: 2002-02-15) and the created Date object will be in the application's timezone, with the time components (hours, minutes, seconds, milliseconds) maximized. All other uses require java.util.Date objects.When binding to Date objects, it is advised to create the Date object with maximum value for any date-time components that aren't displayed (usually hours, minutes, seconds, milliseconds) to allow the largest range of values to be accepted.
      Parameters:
        `maxValue` - the new maxValue value

    - #### getMinValue

          public final Date getMinValue()

      Gets the minimum value allowed for the Date value. When set to a fixed value on a tag, this will be parsed as an ISO 8601 date. ISO 8601 dates are of the form "yyyy-MM-dd" (for example: 2002-02-15) and the created Date object will be in the application's timezone, with the time components (hours, minutes, seconds, milliseconds) zeroed-out. All other uses require java.util.Date objects.When binding to Date objects, it is advised to create the Date object with zeroed-out values for any date-time components that aren't displayed (usually hours, minutes, seconds, milliseconds) to allow the largest range of values to be accepted.
      Returns:
        the new minValue value

    - #### setMinValue

          public final void setMinValue(Date minValue)

      Sets the minimum value allowed for the Date value. When set to a fixed value on a tag, this will be parsed as an ISO 8601 date. ISO 8601 dates are of the form "yyyy-MM-dd" (for example: 2002-02-15) and the created Date object will be in the application's timezone, with the time components (hours, minutes, seconds, milliseconds) zeroed-out. All other uses require java.util.Date objects.When binding to Date objects, it is advised to create the Date object with zeroed-out values for any date-time components that aren't displayed (usually hours, minutes, seconds, milliseconds) to allow the largest range of values to be accepted.
      Parameters:
        `minValue` - the new minValue value

    - #### getDisabledDays

          public final org.apache.myfaces.trinidad.model.DateListProvider getDisabledDays()

      Gets a binding to an implementation of the org.apache.myfaces.trinidad.model.DateListProvider interface. The getDateList method should generate a List of individual java.util.Date objects which will be rendered as disabled. The Dates must be in the context of the given base Calendar. Note: this binding requires periodic roundtrips. If you just want to disable certain weekdays (e.g. Saturday and Sunday), use the disabledDaysOfWeek attribute!
      Returns:
        the new disabledDays value

    - #### setDisabledDays

          public final void setDisabledDays(org.apache.myfaces.trinidad.model.DateListProvider disabledDays)

      Sets a binding to an implementation of the org.apache.myfaces.trinidad.model.DateListProvider interface. The getDateList method should generate a List of individual java.util.Date objects which will be rendered as disabled. The Dates must be in the context of the given base Calendar. Note: this binding requires periodic roundtrips. If you just want to disable certain weekdays (e.g. Saturday and Sunday), use the disabledDaysOfWeek attribute!
      Parameters:
        `disabledDays` - the new disabledDays value

    - #### getDisabledDaysOfWeek

          public final Set getDisabledDaysOfWeek()

      Gets a whitespace delimited list of weekdays that should be rendered as disabled in every week. The list should consist of one or more of the following abbreviations: sun, mon, tue, wed, thu, fri, sat. By default all days are enabled.
      Returns:
        the new disabledDaysOfWeek value

    - #### setDisabledDaysOfWeek

          public final void setDisabledDaysOfWeek(Set disabledDaysOfWeek)

      Sets a whitespace delimited list of weekdays that should be rendered as disabled in every week. The list should consist of one or more of the following abbreviations: sun, mon, tue, wed, thu, fri, sat. By default all days are enabled.
      Parameters:
        `disabledDaysOfWeek` - the new disabledDaysOfWeek value

    - #### getDisabledMonths

          public final Set getDisabledMonths()

      Gets a whitespace delimited list of months that should be rendered as disabled in every year. The list should consist of one or more of the following abbreviations: jan, feb, mar, apr, may, jun, jul, aug, sep, oct, nov, dec. By default all months are enabled.
      Returns:
        the new disabledMonths value

    - #### setDisabledMonths

          public final void setDisabledMonths(Set disabledMonths)

      Sets a whitespace delimited list of months that should be rendered as disabled in every year. The list should consist of one or more of the following abbreviations: jan, feb, mar, apr, may, jun, jul, aug, sep, oct, nov, dec. By default all months are enabled.
      Parameters:
        `disabledMonths` - the new disabledMonths value

    - #### getMonths

          public final int getMonths()

      Gets Number of months to be shown at once in the date picker. If more than one month is configured, the additional months will be rendered side by side with the selected month centered. If not specified, the attribute value is defaulted based on the skin property -tr-months
      Returns:
        the new months value

    - #### setMonths

          public final void setMonths(int months)

      Sets Number of months to be shown at once in the date picker. If more than one month is configured, the additional months will be rendered side by side with the selected month centered. If not specified, the attribute value is defaulted based on the skin property -tr-months
      Parameters:
        `months` - the new months value

    - #### getDefaultValue

          public final Date getDefaultValue()

      Gets the default date would be used only when the picker is launched on an empty DateTime input field. When set to a literal value, this will be parsed as "yyyy-MM-dd hh:mm:ss" or "yyyy-MM-dd". In case the time part is not specified, the time components (hours, minutes, seconds, milliseconds) will be zeroed-out. The created Date object will be in the application's timezone.
      Returns:
        the new defaultValue value

    - #### setDefaultValue

          public final void setDefaultValue(Date defaultValue)

      Sets the default date would be used only when the picker is launched on an empty DateTime input field. When set to a literal value, this will be parsed as "yyyy-MM-dd hh:mm:ss" or "yyyy-MM-dd". In case the time part is not specified, the time components (hours, minutes, seconds, milliseconds) will be zeroed-out. The created Date object will be in the application's timezone.
      Parameters:
        `defaultValue` - the new defaultValue value

    - #### getTimeZoneList

          public final List<String> getTimeZoneList()

      Gets A list of timezones this inputDate exposes. If set, and the inputDate is set up to display timezones (by modifying the dateTimeConverter pattern), the timezone dropdown selector will contain this list in the order given.
      Returns:
        the new timeZoneList value

    - #### setTimeZoneList

          public final void setTimeZoneList(List<String> timeZoneList)

      Sets A list of timezones this inputDate exposes. If set, and the inputDate is set up to display timezones (by modifying the dateTimeConverter pattern), the timezone dropdown selector will contain this list in the order given.
      Parameters:
        `timeZoneList` - the new timeZoneList value

    - #### getChooseId

          public final String getChooseId()

      Gets the id of the chooseDate component which can be used to pick the Date value for this inputDate. If set, attributes maxValue, minValue, disabledDays, disabledDaysOfWeek and disabledMonths are ignored. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new chooseId value

    - #### setChooseId

          public final void setChooseId(String chooseId)

      Sets the id of the chooseDate component which can be used to pick the Date value for this inputDate. If set, attributes maxValue, minValue, disabledDays, disabledDaysOfWeek and disabledMonths are ignored. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `chooseId` - the new chooseId value

    - #### getLayout

          public final String getLayout()

      Gets whether the control displays the buttons horizontally or vertically. The default is "vertical".
      Returns:
        the new layout value

    - #### setLayout

          public final void setLayout(String layout)

      Sets whether the control displays the buttons horizontally or vertically. The default is "vertical".
      Parameters:
        `layout` - the new layout value

    - #### getActionExpression

          public final javax.el.MethodExpression getActionExpression()

      Gets a reference to an action method sent by the commandButton, or the static outcome of an action
      Returns:
        the new actionExpression value

    - #### setActionExpression

          public final void setActionExpression(javax.el.MethodExpression actionExpression)

      Sets a reference to an action method sent by the commandButton, or the static outcome of an action
      Parameters:
        `actionExpression` - the new actionExpression value

    - #### getActionListener

          public final javax.faces.el.MethodBinding getActionListener()

      Gets a method reference to an action listener
      Returns:
        the new actionListener value

    - #### setActionListener

          public final void setActionListener(javax.faces.el.MethodBinding actionListener)

      Sets a method reference to an action listener
      Parameters:
        `actionListener` - the new actionListener value

    - #### getReturnListener

          public final javax.el.MethodExpression getReturnListener()

      Gets a method reference to an return listener
      Returns:
        the new returnListener value

    - #### setReturnListener

          public final void setReturnListener(javax.el.MethodExpression returnListener)

      Sets a method reference to an return listener
      Parameters:
        `returnListener` - the new returnListener value

    - #### getPopupTitle

          public final String getPopupTitle()

      Gets the title of the Search and Select popup dialog.
      Returns:
        the new popupTitle value

    - #### setPopupTitle

          public final void setPopupTitle(String popupTitle)

      Sets the title of the Search and Select popup dialog.
      Parameters:
        `popupTitle` - the new popupTitle value

    - #### getSearchDesc

          public final String getSearchDesc()

      Gets used to override the search description. The search description appears in the tooltip when user does a mouseover on the Search icon. By default this value will be 'Search: ' followed by the label name. If a searchDesc is specified, that value is used instead.
      Returns:
        the new searchDesc value

    - #### setSearchDesc

          public final void setSearchDesc(String searchDesc)

      Sets used to override the search description. The search description appears in the tooltip when user does a mouseover on the Search icon. By default this value will be 'Search: ' followed by the label name. If a searchDesc is specified, that value is used instead.
      Parameters:
        `searchDesc` - the new searchDesc value

    - #### isValuePassThru

          public final boolean isValuePassThru()

      Gets

      whether or not the values are passed through to the client. When valuePassThru is false the value and the options' values are converted to indexes before being sent to the client. Therefore, when valuePassThru is false, there is no need to write your own converter when you are using custom Objects as your values and/or options.

      If you need to know the actual values on the client-side, then you can set valuePassThru to true. This will pass the values through to the client, using your custom converter if it is available; a custom converter is needed if you are using custom objects. For drag and drop it is recommended to set valuePassThru to true for both the drag source and drop target since values are usually required on the client for drag and drop operations.

      The default is false.

      Returns:
        the new valuePassThru value

    - #### setValuePassThru

          public final void setValuePassThru(boolean valuePassThru)

      Sets

      whether or not the values are passed through to the client. When valuePassThru is false the value and the options' values are converted to indexes before being sent to the client. Therefore, when valuePassThru is false, there is no need to write your own converter when you are using custom Objects as your values and/or options.

      If you need to know the actual values on the client-side, then you can set valuePassThru to true. This will pass the values through to the client, using your custom converter if it is available; a custom converter is needed if you are using custom objects. For drag and drop it is recommended to set valuePassThru to true for both the drag source and drop target since values are usually required on the client for drag and drop operations.

      The default is false.

      Parameters:
        `valuePassThru` - the new valuePassThru value

    - #### getUnselectedLabel

          public final String getUnselectedLabel()

      Gets the label for an additional item that indicates no selection has been made. When the user selects this item, "required" validation will not pass, or a null value will be set if the component is not "required".
      Returns:
        the new unselectedLabel value

    - #### setUnselectedLabel

          public final void setUnselectedLabel(String unselectedLabel)

      Sets the label for an additional item that indicates no selection has been made. When the user selects this item, "required" validation will not pass, or a null value will be set if the component is not "required".
      Parameters:
        `unselectedLabel` - the new unselectedLabel value

    - #### getMode

          public final String getMode()

      Gets the mode of the component. When set to "compact", the selected value box is hidden, the drop down icon changes to smaller one, and the component can never be disabled. If compact and disabled are both true, the component is hidden.
      Returns:
        the new mode value

    - #### setMode

          public final void setMode(String mode)

      Sets the mode of the component. When set to "compact", the selected value box is hidden, the drop down icon changes to smaller one, and the component can never be disabled. If compact and disabled are both true, the component is hidden.
      Parameters:
        `mode` - the new mode value

    - #### getLazySelectedLabels

          public final String[] getLazySelectedLabels()

      Gets

      An array of strings that are initially shown in the box when contentDelivery=lazy, these will be concatenated by the selectManyChoice

      If the array length is 1, and the string is "_ALL_", the localized string for "All" will be used, for example in English the word 'All' will appear, in French the word "Tout" will appear, etc.

      Whether or not lazySelectedLabels is available the value attribute will still be called on the component.

      Returns:
        the new lazySelectedLabels value

    - #### setLazySelectedLabels

          public final void setLazySelectedLabels(String[] lazySelectedLabels)

      Sets

      An array of strings that are initially shown in the box when contentDelivery=lazy, these will be concatenated by the selectManyChoice

      If the array length is 1, and the string is "_ALL_", the localized string for "All" will be used, for example in English the word 'All' will appear, in French the word "Tout" will appear, etc.

      Whether or not lazySelectedLabels is available the value attribute will still be called on the component.

      Parameters:
        `lazySelectedLabels` - the new lazySelectedLabels value

    - #### getContentDelivery

          public final String getContentDelivery()

      Gets Gets whether the dropdown popup content is delivered with the initial load of ListOfValues component. When contentDelivery is "immediate", the dropdown popup content is inlined into the ListOfValues component. If contentDelivery is "lazy", the dropdown popup's content will be delivered to the client only after the first request to show the popup. If contentDelivery is "lazyUncached", the dropdown popup's content will be delivered fresh each and every time the popup is shown. By default, contentDelivery is "lazyUncached".
      Returns:
        the new contentDelivery value

    - #### setContentDelivery

          public final void setContentDelivery(String contentDelivery)

      Sets Gets whether the dropdown popup content is delivered with the initial load of ListOfValues component. When contentDelivery is "immediate", the dropdown popup content is inlined into the ListOfValues component. If contentDelivery is "lazy", the dropdown popup's content will be delivered to the client only after the first request to show the popup. If contentDelivery is "lazyUncached", the dropdown popup's content will be delivered fresh each and every time the popup is shown. By default, contentDelivery is "lazyUncached".
      Parameters:
        `contentDelivery` - the new contentDelivery value

    - #### isSelectAllVisible

          public final boolean isSelectAllVisible()

      Gets whether the select-all option is visible.
      Returns:
        the new selectAllVisible value

    - #### setSelectAllVisible

          public final void setSelectAllVisible(boolean selectAllVisible)

      Sets whether the select-all option is visible.
      Parameters:
        `selectAllVisible` - the new selectAllVisible value

    - #### getItems

          @Deprecated
          public final List<Object> getItems()

      Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure items property
      Gets a list of data for the live content inside the drop down panel of the inputComboboxListOfValues component.
      Returns:
        the new items value

    - #### setItems

          @Deprecated
          public final void setItems(List<Object> items)

      Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure items property
      Sets a list of data for the live content inside the drop down panel of the inputComboboxListOfValues component.
      Parameters:
        `items` - the new items value

    - #### getRecentItems

          @Deprecated
          public final List<Object> getRecentItems()

      Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure recentItems property
      Gets a customized list of options that is part of a "Favorites" list. The recent items list is displayed before the list of items and can be a list of the most recently used (MRU) items in the dataset.
      Returns:
        the new recentItems value

    - #### setRecentItems

          @Deprecated
          public final void setRecentItems(List<Object> recentItems)

      Deprecated. This attribute is deprecated, and is ignored. Use the ListOfValuesModel implementation instead to configure recentItems property
      Sets a customized list of options that is part of a "Favorites" list. The recent items list is displayed before the list of items and can be a list of the most recently used (MRU) items in the dataset.
      Parameters:
        `recentItems` - the new recentItems value

    - #### getVar

          public final String getVar()

      Gets the name of the EL variable used to reference each row inside the drop down panel. Once this component has completed rendering, this variable is removed (or reverted back to it's previous value).
      Returns:
        the new var value

    - #### setVar

          public final void setVar(String var)

      Sets the name of the EL variable used to reference each row inside the drop down panel. Once this component has completed rendering, this variable is removed (or reverted back to it's previous value).
      Parameters:
        `var` - the new var value

    - #### getSearchDialog

          public final String getSearchDialog()

      Gets this attribute can be used to selectively render the search link in InputComboboxListOfValues dropdown and to suppress the default "Search and Select" dialog functionality. Note: Even when this attribute is set to 'none', launchPopup event will still be queued to support auto-complete of partial values on tab out
      Returns:
        the new searchDialog value

    - #### setSearchDialog

          public final void setSearchDialog(String searchDialog)

      Sets this attribute can be used to selectively render the search link in InputComboboxListOfValues dropdown and to suppress the default "Search and Select" dialog functionality. Note: Even when this attribute is set to 'none', launchPopup event will still be queued to support auto-complete of partial values on tab out
      Parameters:
        `searchDialog` - the new searchDialog value

    - #### getSize

          public final int getSize()

      Gets the number of items that should be visible in the list. The renderer may constrain the maximum and minimum number of items shown.
      Returns:
        the new size value

    - #### setSize

          public final void setSize(int size)

      Sets the number of items that should be visible in the list. The renderer may constrain the maximum and minimum number of items shown.
      Parameters:
        `size` - the new size value

    - #### getGroup

          public final String getGroup()

      Gets the "group" the radio buttons will be placed in. Radio buttons in the same group will have mutually exclusive selection, regardless of their physical placement on the page. See selectOneRadio - it groups the radios automatically. The reason you would use selectBooleanRadio instead of selectOneRadio is that you have more control over the placement of each radio. Using a selectBooleanRadio alone is uncommon; in any case, you must set the group attribute.
      Returns:
        the new group value

    - #### setGroup

          public final void setGroup(String group)

      Sets the "group" the radio buttons will be placed in. Radio buttons in the same group will have mutually exclusive selection, regardless of their physical placement on the page. See selectOneRadio - it groups the radios automatically. The reason you would use selectBooleanRadio instead of selectOneRadio is that you have more control over the placement of each radio. Using a selectBooleanRadio alone is uncommon; in any case, you must set the group attribute.
      Parameters:
        `group` - the new group value

    - #### getText

          public final String getText()

      Gets the text of the checkbox.
      Returns:
        the new text value

    - #### setText

          public final void setText(String text)

      Sets the text of the checkbox.
      Parameters:
        `text` - the new text value

    - #### isSelected

          public final boolean isSelected()

      Gets whether or not the component is currently selected. This is a typesafe alias for the "value" attribute.
      Returns:
        the new selected value

    - #### setSelected

          public final void setSelected(boolean selected)

      Sets whether or not the component is currently selected. This is a typesafe alias for the "value" attribute.
      Parameters:
        `selected` - the new selected value

    - #### getNullValueMeans

          public final String getNullValueMeans()

      Gets If nullValueMeans is set to 'mixed', then the null value is treated as the indeterminate state and the checkbox will render to indicate that it is neither checked or unchecked
      Returns:
        the new nullValueMeans value

    - #### setNullValueMeans

          public final void setNullValueMeans(String nullValueMeans)

      Sets If nullValueMeans is set to 'mixed', then the null value is treated as the indeterminate state and the checkbox will render to indicate that it is neither checked or unchecked
      Parameters:
        `nullValueMeans` - the new nullValueMeans value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `PartialUIXInputPopup`

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXInputPopup`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.